
Redmine - Defect #5230

Invalid form authenticity token.

2010-04-01 11:44 - Petr Pospisil

Status: New Start date: 2010-04-01

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 0.9.3

Description

Try to click on "Login" button more than once. Message "Invalid form authenticity token" will be appeared.

Related issues:

Related to Redmine - Defect #4825: Several related bugs relating to registrat... New 2010-02-13

Related to Redmine - Defect #5051: Cookie issue when using Redmine on Firefox Closed 2010-03-11

Is duplicate of Redmine - Defect #38986: Ungültiges Authentizitätstoken für F... Closed

History

#1 - 2010-04-14 09:16 - Petr Pospisil

Or if you have opened the detail of issue for a long time and than submit your notes.

#2 - 2010-05-05 13:58 - Fritz brause

same as #5051 ?

#3 - 2010-05-07 09:52 - Petr Pospisil

I don't know how to confirm your suspect.

#4 - 2010-07-12 21:50 - Felix Schäfer

Do you still experience issues with the authenticity token?

#5 - 2010-07-22 13:48 - Petr Pospisil

Why not? What were changed? Show login dialog, fill credentials, double click to login button. It is the simplest way to simulate bahaviour. Another

problem is if you have ISP with large latence (response time), e.g. slow wifi.

#6 - 2010-07-22 13:56 - Felix Schäfer

Petr Pospisil wrote:

Why not? What were changed? Show login dialog, fill credentials, double click to login button. It is the simplest way to simulate bahaviour.

Another problem is if you have ISP with large latence (response time), e.g. slow wifi.

 I cannot reproduce this, as long as you can't give a clear way to reproduce (i.e. download a fresh redmine, laod the default data, don't install any

plugin, reproduce), we won't be able to help you.

#7 - 2010-07-22 14:24 - Petr Pospisil

- File Redmine_01.png added

- File Redmine_02.png added

1) attached screen shot from WWW.REDMINE.ORG

2) attached TRUNK grabbed at 2010-07-22 14:12:00 - no plugins, no mess... just trunk and to command line :"ruby server".

#8 - 2010-07-22 14:25 - Petr Pospisil

This post above I had to submit twice - at the first case, I saw "Invalid form authenticity token"...

#9 - 2010-07-22 14:28 - Felix Schäfer
As I said, I can't reproduce it, though I've been trying like hell to double-click on the login button. Is it maybe a problem with your browser? Have you

tried it from another browser? From another machine?

#10 - 2010-07-22 14:47 - Petr Pospisil

Sorry, it is not just my problem or browser problem. Can you see screen shots from another peoples or browers? :o). I guess no.

Login page -> fill credentials -> clicking to submit button more than once (e.g. twice, 5 times...). At the first request, the system did login. But the

second request is fastest than response from first request. As I mean. And the error message occurs. It is server side problem. I know that clicking to

submit button is not usual case, but it is simulating situations on slower wire. It is annoying to submit issue update this way: type some description of

update, ctrl+c, click to submit, error occured, close the browser, log again, find issue, ctrl+v, submit. This behaviour is sometimes to see at a slower

internet.

I guess the server expects for different token, because the user is logged in by the first request.

#11 - 2010-07-22 14:58 - Felix Schäfer

Well, if it's a network problem, it's not something that can or should be solved on the server… Anyway, try as I may, I can't reproduce it either here,

nor on 2 other redmine installations. Maybe you could try to search for the invalid authenticity token and slow connection on google with rails,

because it's a mechanism of rails, not of redmine itself.

#12 - 2010-07-22 15:05 - Petr Pospisil

You are right, it seems to be rails problem. But the result is unworking redmine.. :(.

#13 - 2010-10-07 05:35 - Ewan Makepeace

This is a huge problem for me and is very simple to reproduce:

1. Log out from Redmine.

2. Go to your email

3. Click on the links on three different issues in your email so that three tabs open in your favourite browser.

4. Presumably each is prepopulated with your login details in the browser.

5. On teh first tab you can click login and be redirected to the issue.

6. On the other tabs when you hit login you get the dreaded "Invalid form authenticity token.". Now you have to login again and after you do so your

redirect is lost so you close the tab and go and look for the email again.

I hate this message so much I am considering moving off Redmine (Pivot Tracker looks rather attractive?). Seriously this is a monster issue that is

driving me insane.

#14 - 2010-10-07 05:39 - Ewan Makepeace

PS Version Redmine 1.0.1.devel.4167 (MySQL)

#15 - 2010-10-08 22:45 - Bruno Medeiros

Felix, Could you try the Ewan Makepeace case?

This bug is really annoying...

#16 - 2010-10-08 23:30 - Felix Schäfer

Bruno Medeiros wrote:

Felix, Could you try the Ewan Makepeace case?

This bug is really annoying…

 I don't need to try it, what happens to Ewan is because of a security feature of rails, and only related to the OP by the mechanism that causes it. The

OP has a problem when submitting a single form more than once (multiple clicks on one and only submit button), whereas Ewan has a problem

because he tries to send the "same form" multiple times from different browser tabs/windows. I'm not sure if there is a secure way to work around

Ewan's problem, but please don't hijack this issue for it and open a new one instead, thanks.

Oh, and Ewan: as happy as I am about people using redmine, no one here will hold you back from using what you think is best for you.

#17 - 2011-02-01 13:54 - David Escala

The easiest way to reproduces is:

1. login to http://www.redmine.org/login

2. go back with browser button

3. submit again the login form

To avoid the error page and redirect the user to a sensible location I have patched app/controllers/application_controller.rb in 1.0-stable:
     end

-    render_error "Invalid form authenticity token." 

+    redirect_back_or_default(home_path)

   end

 The second submit is not (and should not be) processed.

#18 - 2011-08-12 22:43 - Bryce Nordgren

I got this on my old production installation...briefly.

It occurred when I changed my password in Active Directory, and I had not yet updated the "bind pw" on my LDAP connection setup page.

hope that helps.

#19 - 2015-09-11 08:39 - Toshi MARUYAMA

- Related to Defect #5051: Cookie issue when using Redmine on Firefox added

#20 - 2015-12-20 04:32 - Maicon de Oliveira

I had the same problem and created this account just to share my solution.

tl;dr

Delete browser cookies, start again

How it happened

I was using redmine version 3.1.2 in a 32bit linux mint 15. Formated my machine with a brand new linux mint 17.2 64 bit and installed redmine version

3.1.2. Restored database and stuff, everything as usual.

When I logged, I got the same error.

How I fixed

After some time looking for the problem, figured out I had an older cookie from previous installation (using chrome sync), pressed F12, deleted all

cookies and everything works fine.

Just in case someone needs it

#21 - 2016-10-25 14:32 - Greg T

David Escala wrote:

To avoid the error page and redirect the user to a sensible location I have patched app/controllers/application_controller.rb in 1.0-stable:

-    render_error "Invalid form authenticity token."

+    redirect_back_or_default(home_path)

 This works great. Thanks.

#22 - 2024-02-02 07:56 - Go MAEDA

- Is duplicate of Defect #38986: Ungültiges Authentizitätstoken für Formular added
